<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Modules\Core\Enums\StatusEnum;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('weekend_policies', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->json('weekend_days');
            $table->boolean('is_default')
                ->default(false);
            $table->enum('status', StatusEnum::casesAsArray())->default(StatusEnum::ACTIVE)->index();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('weekend_policies');
    }
};
